org.eclipse.emf.spi.cdo

## Class AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges

- java.lang.Object
- - org.eclipse.emf.spi.cdo.AbstractConflictResolver
  - - org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver
    - - org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges

- All Implemented Interfaces:
    CDOConflictResolver, CDOConflictResolver2
  Enclosing class:
    AbstractObjectConflictResolver

  Deprecated.

      @Deprecated
      public static class AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges
      extends AbstractObjectConflictResolver

  A conflict resolver implementation that takes all the new remote state of the conflicting objects and then applies the locally existing changes of the current transaction.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver

      `AbstractObjectConflictResolver.MergeLocalChangesPerFeature, AbstractObjectConflictResolver.TakeRemoteChangesThenApplyLocalChanges, AbstractObjectConflictResolver.ThreeWayMerge`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOConflictResolver

      `CDOConflictResolver.NonConflictAware`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TakeRemoteChangesThenApplyLocalChanges()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `resolveConflicts(java.util.Map<CDOObject,Pair<CDORevision,CDORevisionDelta>> conflicts, java.util.List<CDORevisionDelta> allRemoteDeltas)` Deprecated. Resolves conflicts after remote invalidations arrived for objects that are locally dirty or detached.

    - ### Methods inherited from class org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver

      `changeObject, readObject, resolveConflict, resolveConflict, resolveConflicts, rollbackObject`

    - ### Methods inherited from class org.eclipse.emf.spi.cdo.AbstractConflictResolver

      `getTransaction, hookTransaction, setTransaction, unhookTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOConflictResolver

      `getTransaction, setTransaction`

- - ### Constructor Detail

    - #### TakeRemoteChangesThenApplyLocalChanges

          public TakeRemoteChangesThenApplyLocalChanges()

      Deprecated.

  - ### Method Detail

    - #### resolveConflicts

          public void resolveConflicts(java.util.Map<CDOObject,Pair<CDORevision,CDORevisionDelta>> conflicts,
                                       java.util.List<CDORevisionDelta> allRemoteDeltas)

      Deprecated.
      Description copied from interface: `CDOConflictResolver2`
      Resolves conflicts after remote invalidations arrived for objects that are locally dirty or detached.

      Depending on the decisions taken to resolve the conflict, it may be necessary to adjust the notifications that will be sent to the adapters in the current transaction. This can be achieved by adjusting the `CDORevisionDelta` in `deltas`.

      Specified by:
        `resolveConflicts` in interface `CDOConflictResolver2`
      Overrides:
        `resolveConflicts` in class `AbstractObjectConflictResolver`
      Parameters:
        `conflicts` - A map that contains the local objects with conflicts as the keys. Each value in this map is a `pair` that optionally contains the old local revision (ancestor) as element1 and the remote delta as element2. Any of the pair elements can be `null` if it is not possible to determine it locally (depends on local revision caching and server behavior regarding transmission of deltas instead of invalidations).

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html